/**
 * LOGICAL-PARADOX.ORG
 * Copyright (C)2004 satoshi akabane(akabane@logical-paradox.org)
 *
 */
package org.logical_paradox.common.fsm.impl;

import org.logical_paradox.common.fsm.Symbol;

/**
 * 有限状態遷移機械のテスト用実装に関わるオブジェクトの具象クラスを生成するファクトリ
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.1 $
 */
public class FsmImplFactory {
	/** シングルトンのインスタンス */
	private static final FsmImplFactory factory = new FsmImplFactory();

	/**
	 * コンストラクタ
	 */
	private FsmImplFactory() {
	}
	/**
	 * ファクトリのインスタンスを返す
	 * @return インスタンス
	 */
	public FsmImplFactory getFactory() {
		return factory;
	}

	/**
	 * 入力記号を生成して返す
	 * @param c 文字
	 * @return 生成された入力記号
	 */
	public Symbol newSymbol(char c) {
		return new CharacterSymbol(c);
	}
}
